Bug 61568 - Problem to position graphic elements over images
Summary: Problem to position graphic elements over images
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Anchor-and-Text-Wrap Writer-UX Images
  Show dependency treegraph
 
Reported: 2013-02-27 19:19 UTC by Frank
Modified: 2018-09-01 19:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank 2013-02-27 19:19:14 UTC
Two interrelated bugs in Writer 4.0

One)
Graphic elements (such as lines, arrows, texts) which I lay over a picture can't be selected or moved when the picture has been cut and re-inserted. Steps to reproduce:
- write a text
- insert a photograph (drag and drop from Windows Explorer)
- anchor it as a character
- paint graphic elements (lines, texts) over it, move them around
- cut the photograph and re-insert it
- try to move the graphic elements again, you won't be able to
Even if the elements are in the very foreground and the photograph is in the very background.

Two)
Graphic elements can't be placed where I want them after an automatic page break. Steps to reproduce similar to the case above.
- write a long text
- insert a photograph
- anchor it as a character (the text must be so long that the photograph finds its place on the next page)
- try to place a graphic element (line, text) over the photograph
- try to anchor the graphic element
You will notice, that it is not possible. I just wanted to draw an arrow to show a detail in this photograph and it did drive me insane.

The handling of pictures in Writer has always been a bit rough. That can be improved, I hope. If you have any questions or suggestions, I'm all ears!
Comment 1 Thomas van der Meulen 2013-02-27 20:04:19 UTC
Thank you for reporthing this bug,
I can reproduce this bug running LibreOffice 4.0.1.1 rc on Windows 7.
Comment 2 Jacques Guilleron 2013-02-28 12:36:48 UTC
Hello,

Can you provide a document with this behavior ?

Jacques Guilleron
Comment 3 A (Andy) 2014-09-24 21:36:16 UTC
Issue One:
not reproducible with LO 4.3.1.2 (Win 8.1)

Issue Two:
reproducible with LO 4.3.1.2 (Win 8.1)
Comment 4 QA Administrators 2015-10-14 19:57:34 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2016-01-29 16:41:44 UTC
(In reply to Frank from comment #0)
> - try to anchor the graphic element
> You will notice, that it is not possible. I just wanted to draw an arrow to
> show a detail in this photograph and it did drive me insane.

Could someone maybe explain this in more detail. I'm not seeing any problem myself, but maybe I am understanding it wrong.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 259c1ed201f4277d74dfd600fed8c837cbf56abc
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-27_00:45:12
Locale: fi-FI (fi_FI)
Comment 6 Frank 2016-01-31 15:06:06 UTC
I have tried two versions of LibreOffice. Bugs are still there!

Old version is 3.5.7.2 Build-ID: 350m1(Build:2) which comes with Xubuntu Linux 12.04. Writer crashes when I try to follow my own instructions to reproduce bug One. Xubuntu has sent a problem report.

New version is 5.0.4.2 Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78 which I have installed from the debs. I was able to reproduce my bug One precisely. Not sure with bug Two, I can draw an arrow and anchor it as long as it is fresh. But if I click somewhere else and try to click the arrow (it is in the foreground) again, the picture will be selected instead and I cannot edit the arrow without cutting the picture.
Comment 7 QA Administrators 2017-03-06 15:19:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306